NLSL: pltx.c File Reference

NLSL

- Main Page
- Modules
- Data Types List
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions | Variables
pltx.c File Reference
`#include <X11/Xlib.h>`
`#include <X11/Xutil.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "fortrancall.h"`
Include dependency graph for pltx.c:

Go to the source code of this file.

## Classes
struct | wstruct
struct | xarry

## Macros
#define | MAX_WINDOWS 5

## Typedefs
typedef char | word[20]

## Functions
int | findzero (int wn, float ymax, float ymin)
void | drawln (int wn)
struct xarry * | xnew (struct xarry *list)
void | xdump (struct xarry *list)
float | findmin (float *ary, int indx)
float | findmax (float *ary, int indx)
void | differnce (XPoint *xy1, XPoint *xy2, int indx, XPoint *ydif, int yzer)
void | pixary (float *y, float min, float step, int n, XPoint *xy, float ymax, float ymin, int wn)
void | calcul (int wn)
void | calcpt (int xpt, int ypt, float *xpt1, float *ypt1, int wn)
void | setxpts (XPoint *xypts, int xpt, int ypt)
void | getstr (char *pltstr, float xpt, float ypt)
void | doevnt (int wn)
void FORTRAN() | getwndws (int *n, word *title)
void | putary (double *y1, double *y2, int wn)
void FORTRAN() | fstplt (double *y1, double *y2, double *xmin1, double *xstep1, int *indx1, int *wnum)
void FORTRAN() | wpoll ()
void FORTRAN() | shtwndws ()

## Variables
struct wstruct | wds [MAX_WINDOWS+1]
int | numwndws = 0
int | done = 0
int | displayOK = 0

## Macro Definition Documentation

#define MAX_WINDOWS 5

Definition at line 55 of file pltx.c.

## Typedef Documentation

typedef char word[20]

Definition at line 83 of file pltx.c.

## Function Documentation

void calcpt | ( | int | xpt,
|  | int | ypt,
|  | float * | xpt1,
|  | float * | ypt1,
|  | int | wn
| ) |  |

Definition at line 351 of file pltx.c.

Here is the caller graph for this function:

void calcul | ( | int | wn | ) |

Definition at line 321 of file pltx.c.

Here is the call graph for this function:

Here is the caller graph for this function:

void differnce | ( | XPoint * | xy1,
|  | XPoint * | xy2,
|  | int | indx,
|  | XPoint * | ydif,
|  | int | yzer
| ) |  |

Definition at line 246 of file pltx.c.

Here is the caller graph for this function:

void doevnt | ( | int | wn | ) |

Definition at line 405 of file pltx.c.

Here is the call graph for this function:

Here is the caller graph for this function:

void drawln | ( | int | wn | ) |

Definition at line 116 of file pltx.c.

Here is the caller graph for this function:

float findmax | ( | float * | ary,
|  | int | indx
| ) |  |

Definition at line 222 of file pltx.c.

Here is the caller graph for this function:

float findmin | ( | float * | ary,
|  | int | indx
| ) |  |

Definition at line 202 of file pltx.c.

Here is the caller graph for this function:

int findzero | ( | int | wn,
|  | float | ymax,
|  | float | ymin
| ) |  |

Definition at line 96 of file pltx.c.

Here is the caller graph for this function:

void FORTRAN() fstplt | ( | double * | y1,
|  | double * | y2,
|  | double * | xmin1,
|  | double * | xstep1,
|  | int * | indx1,
|  | int * | wnum
| ) |  |

Definition at line 805 of file pltx.c.

Here is the call graph for this function:

Here is the caller graph for this function:

void getstr | ( | char * | pltstr,
|  | float | xpt,
|  | float | ypt
| ) |  |

Definition at line 389 of file pltx.c.

Here is the caller graph for this function:

void FORTRAN() getwndws | ( | int * | n,
|  | word * | title
| ) |  |

Definition at line 589 of file pltx.c.

Here is the caller graph for this function:

void pixary | ( | float * | y,
|  | float | min,
|  | float | step,
|  | int | n,
|  | XPoint * | xy,
|  | float | ymax,
|  | float | ymin,
|  | int | wn
| ) |  |

Definition at line 266 of file pltx.c.

Here is the call graph for this function:

Here is the caller graph for this function:

void putary | ( | double * | y1,
|  | double * | y2,
|  | int | wn
| ) |  |

Definition at line 793 of file pltx.c.

Here is the caller graph for this function:

void setxpts | ( | XPoint * | xypts,
|  | int | xpt,
|  | int | ypt
| ) |  |

Definition at line 373 of file pltx.c.

Here is the caller graph for this function:

void FORTRAN() shtwndws | ( |  | ) |

Definition at line 875 of file pltx.c.

Here is the caller graph for this function:

void FORTRAN() wpoll | ( |  | ) |

Definition at line 860 of file pltx.c.

Here is the call graph for this function:

Here is the caller graph for this function:

void xdump | ( | struct xarry * | list | ) |

Definition at line 186 of file pltx.c.

Here is the caller graph for this function:

struct xarry* xnew | ( | struct xarry * | list | ) |

Definition at line 174 of file pltx.c.

Here is the caller graph for this function:

## Variable Documentation

int displayOK = 0

Definition at line 89 of file pltx.c.

int done = 0

Definition at line 88 of file pltx.c.

int numwndws = 0

Definition at line 87 of file pltx.c.

struct wstruct wds[MAX_WINDOWS+1]

Definition at line 86 of file pltx.c.